JsonObjectFormatVisitor.Base
Date: 2016-12-04

com.fasterxml.jackson.databind.jsonFormatVisitors

## Class JsonObjectFormatVisitor.Base

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base

- All Implemented Interfaces:
    JsonFormatVisitorWithSerializerProvider, JsonObjectFormatVisitor
  Enclosing interface:
    JsonObjectFormatVisitor

      public static class JsonObjectFormatVisitor.Base
      extends java.lang.Object
      implements JsonObjectFormatVisitor

  Default "empty" implementation, useful as the base to start on; especially as it is guaranteed to implement all the method of the interface, even if new methods are getting added.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor

      `JsonObjectFormatVisitor.Base`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SerializerProvider` | `_provider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonObjectFormatVisitor.Base()`
    `JsonObjectFormatVisitor.Base(SerializerProvider p)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SerializerProvider` | `getProvider()`
    `void` | `optionalProperty(BeanProperty prop)`
    `void` | `optionalProperty(java.lang.String name, JsonFormatVisitable handler, JavaType propertyTypeHint)`
    `void` | `property(BeanProperty prop)` Callback method called when a POJO property is being traversed.
    `void` | `property(java.lang.String name, JsonFormatVisitable handler, JavaType propertyTypeHint)` Callback method called when a non-POJO property (typically something like an Enum entry of `EnumMap` type) is being traversed.
    `void` | `setProvider(SerializerProvider p)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _provider

          protected SerializerProvider _provider

  - ### Constructor Detail

    - #### JsonObjectFormatVisitor.Base

          public JsonObjectFormatVisitor.Base()

    - #### JsonObjectFormatVisitor.Base

          public JsonObjectFormatVisitor.Base(SerializerProvider p)

  - ### Method Detail

    - #### getProvider

          public SerializerProvider getProvider()

      Specified by:
        `getProvider` in interface `JsonFormatVisitorWithSerializerProvider`

    - #### setProvider

          public void setProvider(SerializerProvider p)

      Specified by:
        `setProvider` in interface `JsonFormatVisitorWithSerializerProvider`

    - #### property

          public void property(BeanProperty prop)
                        throws JsonMappingException

      Description copied from interface: `JsonObjectFormatVisitor`
      Callback method called when a POJO property is being traversed.
      Specified by:
        `property` in interface `JsonObjectFormatVisitor`
      Throws:
        `JsonMappingException`

    - #### property

          public void property(java.lang.String name,
                      JsonFormatVisitable handler,
                      JavaType propertyTypeHint)
                        throws JsonMappingException

      Description copied from interface: `JsonObjectFormatVisitor`
      Callback method called when a non-POJO property (typically something like an Enum entry of `EnumMap` type) is being traversed. With POJOs, `JsonObjectFormatVisitor.property(BeanProperty)` is called instead.
      Specified by:
        `property` in interface `JsonObjectFormatVisitor`
      Throws:
        `JsonMappingException`

    - #### optionalProperty

          public void optionalProperty(BeanProperty prop)
                                throws JsonMappingException

      Specified by:
        `optionalProperty` in interface `JsonObjectFormatVisitor`
      Throws:
        `JsonMappingException`

    - #### optionalProperty

          public void optionalProperty(java.lang.String name,
                              JsonFormatVisitable handler,
                              JavaType propertyTypeHint)
                                throws JsonMappingException

      Specified by:
        `optionalProperty` in interface `JsonObjectFormatVisitor`
      Throws:
        `JsonMappingException`